You can fetch a list of all URL redirects for a help center by making a GET request to https://api.intercom.io/help_center/help_centers/{help_center_id}/redirects.
Redirects are returned in descending order on the updated_at attribute.
Requires the read_help_center_redirects_scope OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/help_center/help_centers/{help_center_id}/redirects
- The european API serverhttps://api.eu.intercom.io/help_center/help_centers/{help_center_id}/redirects
- The australian API serverhttps://api.au.intercom.io/help_center/help_centers/{help_center_id}/redirects
curl -i -X GET \
'https://api.intercom.io/help_center/help_centers/123/redirects?page=1&per_page=50' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Successful
pagesobject or null(Cursor based pages)
Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.
dataArray of objects(Help Center Redirect)
An array of help center redirect objects.
Response
{ "type": "list", "data": [ { … } ], "total_count": 1, "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 } }